package com.gic.haoban.manage.web.vo.order;

import java.io.Serializable;

/**
 * @description: 这里是描述文字
 * @author: 巴弗
 * @createDate: 2023/2/21 15:11
 */
public class OrderDetailItemVO implements Serializable {
    private static final long serialVersionUID = 2204393471540203217L;

    /**
     * 订单项ID
     */
    private String orderItemId;

    /**
     * 商城商品Name
     */
    private String mallProName;

    /**
     * 商城商品零售价(sku单价)
     */
    private Double mallProPrice;

    /**
     * 商城商品图片url
     */
    private String mallProImageUrl;

    /**
     * 商城商品件数（或单位 贵金属-重量等）
     */
    private Double mallProNumber;

    /**
     * 商城商品SKU属性信息展现用 JSON [{propID:xxx,propName:xxx,valueID:xxx,valueName:xxx},...]
     */
    private String mallProSkuAttr;

    /**
     * 商品编号
     */
    private String proCode;

    /**
     * 是否赠品,1是0否
     */
    private Integer isGift;

    /**
     * 实付金额
     */
    private Double payAmount;
    
    // 物流ID
    private String logisticsId ;
    
    /**
     * 是否有退款 0无退款 1退款待处理 2成功 3退款关闭 4待买家退货 5待商家收货 6拒绝退款
     */
    private Integer refundStatus;
    /**
     * 是否有换货 0无 1换货中 2成功 3失败
     */
    private Integer exchangeStatus;
    
    /**
     * 订单项状态:0(交易关闭),2待发货,3已发货,4已确认(交易成功)'
     */
    private Integer orderItemStatus;
    
    /**0: 无售后
    1：退款中
    2、换货中
    3、退款成功
    4、换货成功 */
    private int afterSalesStatus ;
    
    public int getAfterSalesStatus() {
        return afterSalesStatus;
    }

    public void setAfterSalesStatus(int afterSalesStatus) {
        this.afterSalesStatus = afterSalesStatus;
    }
    
    public Integer getOrderItemStatus() {
        return orderItemStatus;
    }

    public void setOrderItemStatus(Integer orderItemStatus) {
        this.orderItemStatus = orderItemStatus;
    }

    public String getLogisticsId() {
        return logisticsId;
    }

    public Integer getRefundStatus() {
        return refundStatus;
    }

    public Integer getExchangeStatus() {
        return exchangeStatus;
    }

    public void setLogisticsId(String logisticsId) {
        this.logisticsId = logisticsId;
    }

    public void setRefundStatus(Integer refundStatus) {
        this.refundStatus = refundStatus;
    }

    public void setExchangeStatus(Integer exchangeStatus) {
        this.exchangeStatus = exchangeStatus;
    }

    public String getOrderItemId() {
        return orderItemId;
    }

    public String getMallProName() {
        return mallProName;
    }

    public Double getMallProPrice() {
        return mallProPrice;
    }

    public String getMallProImageUrl() {
        return mallProImageUrl;
    }

    public Double getMallProNumber() {
        return mallProNumber;
    }

    public String getMallProSkuAttr() {
        return mallProSkuAttr;
    }

    public String getProCode() {
        return proCode;
    }

    public Integer getIsGift() {
        return isGift;
    }

    public Double getPayAmount() {
        return payAmount;
    }

    public void setOrderItemId(String orderItemId) {
        this.orderItemId = orderItemId;
    }

    public void setMallProName(String mallProName) {
        this.mallProName = mallProName;
    }

    public void setMallProPrice(Double mallProPrice) {
        this.mallProPrice = mallProPrice;
    }

    public void setMallProImageUrl(String mallProImageUrl) {
        this.mallProImageUrl = mallProImageUrl;
    }

    public void setMallProNumber(Double mallProNumber) {
        this.mallProNumber = mallProNumber;
    }

    public void setMallProSkuAttr(String mallProSkuAttr) {
        this.mallProSkuAttr = mallProSkuAttr;
    }

    public void setProCode(String proCode) {
        this.proCode = proCode;
    }

    public void setIsGift(Integer isGift) {
        this.isGift = isGift;
    }

    public void setPayAmount(Double payAmount) {
        this.payAmount = payAmount;
    }
}
